function E0090()
    MNA()CMU("XXXX")FAI(0)
    SoDark()
end
function E0091()
    MNA()CMU("XXXX")FAI(1)
    SoDark()
end
function E0092()
    MNA()CMU("XXXX")FAI(2)
    SoDark()
end
function E0093()
    MNA()CMU("XXXX")FAI(3)
    SoDark()
end
function E0094()
    MNA()CMU("XXXX")FAI(4)
    SoDark()
end

function GoPeaceTownFireCaveGate()
    PRI()FAO(1)TRA("CS_peace_town_firecave_gate","E0093",3,20)
end

function GoDarkMaze()
    PRI()FAO(3)TRA("CS_darkmaze","E0091",115,86)
end

function GoChaosCrossroads()
    PRI()FAO(0)TRA("CS_chaos_crossroads","E0090",18,8)
end

function SoDark()
    if(not FLJ("SoDark")) then
        PRI()
        MS3("\nIt's so dark in here...")NOD()CLR()
        FAC("jack_normal")CAT("Then use your new Fireball Gun")
        CAT("\nto light it up.")NOD()
        FLP("SoDark")
    end
end